<!DOCTYPE html>
<html >
<head>
  <meta charset="UTF-8">
  <title>Lyrics Generator</title>
  <link rel='stylesheet prefetch' href='http://netdna.bootstrapcdn.com/bootstrap/3.0.2/css/bootstrap.min.css'>
  {% load static %}    
  <link rel="stylesheet" href="{% static 'css/user.css' %}">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
  <script type="text/javascript"> 
    $(document).ready(function()
      {
        $('#show_message').click(function() {
            $('#message').show();
            return false;
        });        
    });
 </script>
</head>

<body>
    <div class="wrapper">            
        <form class="form-signin" action="{% url 'post_url' username%}" method="post">{% csrf_token %}
            <output>User authentication requires interaction with your web browser. 
                        Once you enter your credentials and give authorization, you will be redirected to a url.  
                        Paste that url you were directed to to complete the authorization.</output>
            <h2 class="form-signin-heading">Please enter the URL you were redirected to</h2>
            <textarea class="form-control" id="redirected_url" name="redirected_url" rows="5" cols="50">
                {{ redirectd_url }}
            </textarea><br/>
            <input type="submit" value="OK" class="btn btn-lg btn-primary btn-block">
            <a href="#" id="show_message">Browser didn't open?</a>
            <output id="message" style="display: none;">{{ message }}</output>
        </form>
</div>
</body>
</html>
